Billing
Show the company's spend limits
The authenticated company’s monthly spend limits and auto-reload. Reading changes nothing.
GET
/
api
/
settings
/
billing
/
usage-controls
Show the company's spend limits
curl --request GET \
--url https://api.fluid.app/api/settings/billing/usage-controls \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/settings/billing/usage-controls"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/settings/billing/usage-controls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"usage_controls": {
"limits_enabled": true,
"auto_reload": true,
"reload_caps": {
"daily_cents": 50000,
"monthly_cents": 500000
},
"limits": {
"orders": null,
"ai": 150000,
"hosting": null,
"studios": 75000
},
"daily_limits": {
"ai": 10000,
"studios": null
},
"reload_threshold_cents": 5000,
"reload_amount_cents": 20000,
"reload_authorized": true,
"reload_authorization": {
"version": "2026-09-26",
"text": "You authorize Fluid to charge the card or debit the bank account on file for the reload amount you set whenever your usage credits fall below your threshold, up to your daily and monthly reload limits. Each reload is a purchase of usage credits on the purchase terms. You can turn auto-reload off at any time. A declined or returned reload pauses further reloads until you change your payment method or turn auto-reload off and on again."
},
"reload_block": null
},
"status": 200,
"meta": {
"request_id": "f3b8c2d1-6a4e-4f7b-9c1d-2e5a8b7c4d90",
"timestamp": "2026-09-30T14:05:11Z"
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}Authorizations
Bearer token authentication
Response
Success
The merchant's spend limits and auto-reload.
What the merchant has set about its own usage: spend limits, and auto-reload, which buys the reload amount with the payment method on file when the spendable balance falls below the threshold, within the reload caps, and only with its authorization on record.
Show child attributes
Show child attributes
⌘I
Show the company's spend limits
